Subject: NE Wildflower Seeds

From: [email-masked] (Janet Wintermute)
Date: Sun, 12 Nov 1995 01:57:13 GMT

The American Horticultural Society passes along the word that the New
England Wildflower Society is selling seeds or spores of more than 100
varieties and ferns in its 1996 Seed and Book Catalogue.

March 1 is the deadline for requesting the catalogue because seed
sales close March 15.

To obtain the catalogue, send $2.50 to Seeds, New England Wild Flower
Society, Garden in the Woods, 180 Hemenway Road, Framingham, MA 01701.